package com.miaxis.birthday.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 查询记录对象 birthday_log
 *
 * @author miaxis
 * @date 2023-12-11
 */
@Data
@TableName("birthday_log")
@ApiModel(value = "BirthdayLog", description = "查询记录对象 birthday_log")
public class BirthdayLogDto extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 查询姓名 */
    @Excel(name = "查询姓名")
    @TableField("name")
    @ApiModelProperty(value = "查询姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    @TableField("sex")
    @ApiModelProperty(value = "性别")
    private String sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("birthday")
    @ApiModelProperty(value = "生日")
    private Date birthday;

    /** 查询用户ID */
    @Excel(name = "查询用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "查询用户ID", hidden = true)
    private Long userId;

    /** 是否付费 0：未付费 1：基础版  2：高级版 */
    @Excel(name = "是否付费 0：未付费 1：基础版  2：高级版")
    @TableField("is_pay")
    @ApiModelProperty(value = "是否付费 0：未付费 1：基础版  2：高级版")
    private Long isPay;
}
