package com.miaxis.ge.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.ge.mapper.GeJuMapper;
import com.miaxis.ge.domain.GeJu;
import com.miaxis.ge.service.IGeJuService;

/**
 * 八字格局Service业务层处理
 *
 * @author miaxis
 * @date 2023-12-08
 */
@Service
public class GeJuServiceImpl extends ServiceImpl<GeJuMapper, GeJu> implements IGeJuService {
    @Autowired
    private GeJuMapper geJuMapper;

    /**
     * 查询八字格局列表
     *
     * @param geJu 八字格局
     * @return 八字格局
     */
    @Override
    public List<GeJu> selectGeJuList(GeJu geJu){
        return geJuMapper.selectGeJuList(geJu);
    }
}
